Subject: Re: 23.0.93; unnecessary display updates with mouse-drag-region

From: Chong Yidong <[email-masked]>
Date: Wed, 10 Jun 2009 12:50:23 -0400

> Mouse dragging over a text in the default face causes unnecessary
> updates in other windows displaying the same buffer.
>
> I tried some older versions and found that the change below made the
> difference.
>
> 2008-07-08  Chong Yidong  <[email-masked]>
>
>             * xfaces.c (Finternal_merge_in_global_face): Save merged
>             attributes for the default face back into the face vector.

I don't see why.  Is Finternal_merge_in_global_face called when you
perform mouse dragging?  It should not be (and on my current GNU/Linux
build it isn't).